/*
 *    MCreator note: This file will be REGENERATED on each build.
 */
package net.mcreator.morefood.init;

import net.neoforged.neoforge.registries.DeferredRegister;
import net.neoforged.neoforge.registries.DeferredItem;

import net.minecraft.world.item.Item;

import net.mcreator.morefood.item.*;
import net.mcreator.morefood.MoreFoodMod;

import java.util.function.Function;

public class MoreFoodModItems {
	public static final DeferredRegister.Items REGISTRY = DeferredRegister.createItems(MoreFoodMod.MODID);
	public static final DeferredItem<Item> SANDWHICH;
	public static final DeferredItem<Item> CARBONARA;
	public static final DeferredItem<Item> BUBBLE_TEA;
	public static final DeferredItem<Item> PIZZA;
	public static final DeferredItem<Item> BURGER;
	public static final DeferredItem<Item> BUBBLE;
	public static final DeferredItem<Item> CUP;
	public static final DeferredItem<Item> STRAW;
	public static final DeferredItem<Item> SPAGETTI;
	public static final DeferredItem<Item> BACON;
	static {
		SANDWHICH = register("sandwhich", SandwhichItem::new);
		CARBONARA = register("carbonara", CarbonaraItem::new);
		BUBBLE_TEA = register("bubble_tea", BubbleTeaItem::new);
		PIZZA = register("pizza", PizzaItem::new);
		BURGER = register("burger", BurgerItem::new);
		BUBBLE = register("bubble", BubbleItem::new);
		CUP = register("cup", CupItem::new);
		STRAW = register("straw", StrawItem::new);
		SPAGETTI = register("spagetti", SpagettiItem::new);
		BACON = register("bacon", BaconItem::new);
	}

	// Start of user code block custom items
	// End of user code block custom items
	private static <I extends Item> DeferredItem<I> register(String name, Function<Item.Properties, ? extends I> supplier) {
		return REGISTRY.registerItem(name, supplier, Item.Properties::new);
	}
}